<template lang="pug">
div
  VuTable(:rows="rows")

    VuTableColumn(prop="id" title="ID")
      template(slot-scope="{ row }")
        b
          | {{ row.id }}

    VuTableColumn(prop="name" title="Name")

    VuTableColumn(prop="rating", title="Rating")
      template(slot-scope="{ row, items }")
        | {{ row.rating }}
        b( v-if="items.every(item => item.rating <= row.rating)")
          | Best choiсe!

</template>

<script>
import  VuTableColumn from '~/components/table/VuTableColumn.vue'
import  VuTable from '~/components/table/VuTable.vue'

export default {
  name: 'ExamplePage',
  components: {
      VuTableColumn,
      VuTable
  },
  data() {
    return {
      rows: [
        { id: 1,
          name: 'Sony',
          rating: 777 },
        { id: 2,
          name: 'Apple',
          rating: 555 },
        { id: 3,
          name: 'Samsung',
          rating: 333 }
      ]
    }
  }
};
</script>

<style scoped>

</style>

<!--<template lang="pug">-->
<!--  div-->

<!--    SlotRowDataTable(v-slot="{rowData}")-->
<!--      tr-->
<!--        td( v-for="value in rowData")-->
<!--          | {{value}} !!!!!!!!!!!!S-->

<!--</template>-->

<!--<script>-->
<!--    import SlotRowDataTable from '~/components/slotRowDataTable.vue'-->

<!--    export default {-->
<!--        components: {-->
<!--            SlotRowDataTable-->
<!--        }-->
<!--    }-->
<!--</script>-->

<!--<style scoped>-->

<!--</style>-->
